#include <stdlib.h>

#import <simtools.h>

#import "Version.h"
#import "SCLGlobals.h"
#import "SCLModelSwarm.h"


int main(int argc, const char ** argv) {
  initSwarmApp(argc, argv, 
    [Version getVersionString], [Version getBugAddress]);

  [Version printCopyright];

  if (!swarmGUIMode)
    [InternalError raiseEvent:
    "scl can run only in GUIMode - sorry!\n"];

  modelSwarm = [SCLModelSwarm create: globalZone];
  [modelSwarm buildObjects];
  [modelSwarm buildActions];
  [modelSwarm activateIn: nil];
  //  [modelSwarm initialDisplay];
  [modelSwarm go];

  return(EXIT_SUCCESS);
}
