/* 
  CellEditor.h

  Barry McMullin <mcmullin@eeng.dcu.ie>
  07-OCT-1996

*/

#import <objectbase/SwarmObject.h>

#import "Coord2d.h"

@interface CellEditor : SwarmObject {
  Coord2d * coord;
  id agent;
  id agentClass;
}

+create: (id) aZone withLattice: (id) inLattice;

-setRasterX: (int) newX Y: (int) newY;
-setWorldX: (int) newX Y: (int) newY;

-update;

-forceCatalyst;
-forceLink;
-forceSubstrate;
-forceHole;


@end
