/* 
  SCLDisplay.h

  Barry McMullin <mcmullin@eeng.dcu.ie>
  Mar-1997


*/

#import <objectbase/SwarmObject.h>
#import <gui.h>


@interface SCLDisplay : SwarmObject {
  id lattice;
  id colormap;
  Color backgroundColor;
  id raster;
}

-(void) setBackgroundColor: (Color) color;
-(Color) getBackgroundColor;

-(void) setLatticeToDisplay: (id) inLattice;

-(void) displayLattice;

-makeProbeAtX: (int) rasterX Y: (int) rasterY;
-(void) setCellEditorX: (int) rasterX Y: (int) rasterY;

@end
